Subject: Re: STLport with the Cygwin/MinGW compiler
From: "Gerrit P. Haase" <[email-masked]>
To: "Alex Vinokur" <[email-masked]>
Cc: [email-masked]
Date: Sat, 1 Nov 2003 12:43:19 +0100

Hallo Alex,

> There is some advance.

> I put the stlport libraries in /lib.

> $ g++ -c -o foo.o foo.cpp

> $ g++ -o foo_port.exe foo.o -lstlport

If you use g++ to link, libstdc++ will be linked in automatically,
that was the reason why I wrote:
gcc -o your.exe your.o -L/your/path -lstlport

> $ g++ -o foo_orig.exe foo.o

If you use gcc here as well then you'll need top specify -lstdc++ at
the linkline.

> $ wc foo*.exe
>     462    5847  478971 foo_orig.exe
>     462    5847  478971 foo_port.exe
>     924   11694  957942 total

> $ cygcheck foo*.exe
> Found: .\foo_orig.exe
> foo_orig.exe
>   C:\cygwin\bin\cygwin1.dll
>     C:\WINNT\System32\KERNEL32.dll
>       C:\WINNT\System32\NTDLL.DLL

> Found: .\foo_port.exe
> foo_port.exe
>   C:\cygwin\bin\cygwin1.dll
>     C:\WINNT\System32\KERNEL32.dll
>       C:\WINNT\System32\NTDLL.DLL

> So, neither wc nor cygcheck see any difference between foo_orig.exe and foo_port.exe.

> However,
> $ cmp -b foo*.exe
> foo_orig.exe foo_port.exe differ: byte 137, line 2 is 167 w 146 f

> $ cmp -l foo*.exe
>    137 167 146
>    217  52  31

> Is foo_port.exe really STLported?

No, obviously not.  Cygcheck should show stlpot as dependency.  There
are some useful switches for the compiler / linker.  You can specify
the include directory to be used during compilation with:

-I/path/to/stlport-headers

and the path to the libraries you want to link with:

-L/usr/lib/stlport

Usually there is no need to move the libraries around.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/